<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddRemoteDestinationProfileReq StructType
 * @subpackage Structs
 */
class AddRemoteDestinationProfileReq extends APIRequest
{
    /**
     * The remoteDestinationProfile
     * @var XRemoteDestinationProfile
     */
    public $remoteDestinationProfile;
    /**
     * Constructor method for AddRemoteDestinationProfileReq
     * @uses AddRemoteDestinationProfileReq::setRemoteDestinationProfile()
     * @param XRemoteDestinationProfile $remoteDestinationProfile
     */
    public function __construct(XRemoteDestinationProfile $remoteDestinationProfile = null)
    {
        $this
            ->setRemoteDestinationProfile($remoteDestinationProfile);
    }
    /**
     * Get remoteDestinationProfile value
     * @return XRemoteDestinationProfile|null
     */
    public function getRemoteDestinationProfile()
    {
        return $this->remoteDestinationProfile;
    }
    /**
     * Set remoteDestinationProfile value
     * @param XRemoteDestinationProfile $remoteDestinationProfile
     * @return AddRemoteDestinationProfileReq
     */
    public function setRemoteDestinationProfile(XRemoteDestinationProfile $remoteDestinationProfile = null)
    {
        $this->remoteDestinationProfile = $remoteDestinationProfile;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddRemoteDestinationProfileReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
